## timelib 0.2.4

=== Makefile ===
all:: timelib.c
	python setup.py build

clean::
	rm -rf *.so build/ dist/

install:: timelib.c
	python setup.py build install

sdist:: timelib.c
	python setup.py build sdist

ext-date-lib/parse_date.c: ext-date-lib/parse_date.re
	re2c -d -b -o ext-date-lib/parse_date.c ext-date-lib/parse_date.re

%.c: %.pyx
	cython $< -o $@

=== debian/changelog ===
timelib (0.2.4-2) stable; urgency=low

  * Added support for Python 3

 -- SaltStack Packaging Team <packaging@saltstack.com>  Fri, 05 Jan 2018 10:14:40 -0600

timelib (0.2.4-1) unstable; urgency=low

  * source package automatically created by stdeb 0.8.5

 -- Ralf Schmitt <ralf@systemexit.de>  Thu, 21 Dec 2017 14:47:47 -0700

=== debian/control ===
Source: timelib
Maintainer: Ralf Schmitt <ralf@systemexit.de>
Section: python
Priority: optional
Build-Depends:  dh-python, 
                python-setuptools (>= 0.6b3), python3-setuptools,
                python-all-dev (>= 2.6.6-3), python3-all-dev,
                debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: https://github.com/pediapress/timelib/

Package: python-timelib
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: parse english textual date descriptions
 Usage
 =====
 .
 timelib is a short wrapper around php's internal timelib module.
 It currently only provides a few functions:
 .
 timelib.strtodatetime:
 .
 >>> timelib.strtodatetime('today')
 datetime.datetime(2009, 6, 23, 0, 0)
 >>> timelib.strtodatetime('today')
 datetime.datetime(2009, 6, 23, 0, 0)
 >>> timelib.strtodatetime('next friday')
 datetime.datetime(2009, 6, 26, 0, 0)
 >>> timelib.strtodatetime('29 feb 2008 -108 years')
 datetime.datetime(1900, 3, 1, 0, 0)
 .
 timelib.strtotime:
 .
 >>> import time, timelib


Package: python3-timelib
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: parse english textual date descriptions
 Usage
 =====
 .
 timelib is a short wrapper around php's internal timelib module.
 It currently only provides a few functions:
 .
 timelib.strtodatetime:
 .
 >>> timelib.strtodatetime('today')
 datetime.datetime(2009, 6, 23, 0, 0)
 >>> timelib.strtodatetime('today')
 datetime.datetime(2009, 6, 23, 0, 0)
 >>> timelib.strtodatetime('next friday')
 datetime.datetime(2009, 6, 26, 0, 0)
 >>> timelib.strtodatetime('29 feb 2008 -108 years')
 datetime.datetime(1900, 3, 1, 0, 0)
 .
 timelib.strtotime:
 .
 >>> import time, timelib
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.5 at
# Thu, 21 Dec 2017 14:47:47 -0700
# Updated for Python 3, Fri, 05 Jan 2018 10:14:40 -0600
export DH_VERBOSE=1
export DH_OPTIONS=-v

export PYBUILD_NAME=timelib
%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
# please also check http://pypi.debian.net/timelib/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/timelib/timelib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
